# Uses of Enum Class
nu.validator.htmlparser.common.DocumentMode

Packages that use DocumentMode
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of DocumentMode in nu.validator.htmlparser.common

Subclasses with type arguments of type DocumentMode in nu.validator.htmlparser.common
Modifier and Type
Class
Description
`enum`
`DocumentMode`
Represents the HTML document compatibility mode.
Methods in nu.validator.htmlparser.common that return DocumentMode
Modifier and Type
Method
Description
`static DocumentMode`
DocumentMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentMode[]`
DocumentMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in nu.validator.htmlparser.common with parameters of type DocumentMode
Modifier and Type
Method
Description
`void`
DocumentModeHandler.`documentMode(DocumentMode mode, String publicIdentifier, String systemIdentifier)`
Receive notification of the document mode.

## Uses of DocumentMode in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with parameters of type DocumentMode
Modifier and Type
Method
Description
`protected void`
TreeBuilder.`documentMode(DocumentMode m, String publicIdentifier, String systemIdentifier)`

## Uses of DocumentMode in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom that return DocumentMode
Modifier and Type
Method
Description
`DocumentMode`
ModalDocument.`getMode()`
Gets the mode.
`DocumentMode`
Mode.`getMode()`
Returns the mode.
Methods in nu.validator.htmlparser.xom with parameters of type DocumentMode
Modifier and Type
Method
Description
`void`
ModalDocument.`setMode(DocumentMode mode)`
Sets the mode.
`void`
Mode.`setMode(DocumentMode mode)`
Sets the mode.